org.apache.commons.ssl

## Class LDAPSocket

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - org.apache.commons.ssl.SSLClient
      - - org.apache.commons.ssl.LDAPSocket

    public class LDAPSocket
    extends SSLClient

Since:
  28-Feb-2006
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Field Summary

Fields
`private static LDAPSocket` `instance`

### Constructor Summary

Constructors
`private` `LDAPSocket()`

### Method Summary

Methods
`static javax.net.SocketFactory` `getDefault()`
`static LDAPSocket` `getInstance()`

### Methods inherited from class org.apache.commons.ssl.SSLClient

`addTrustMaterial, createSocket, createSocket, createSocket, createSocket, createSocket, createSocket, createSocket, getAssociatedCertificateChain, getCheckCRL, getCheckExpiry, getCheckHostname, getConnectTimeout, getCurrentServerChain, getDefaultCipherSuites, getDefaultProtocol, getEnabledCiphers, getEnabledProtocols, getHostnameVerifier, getNeedClientAuth, getSoTimeout, getSSLContext, getSSLWrapperFactory, getSupportedCipherSuites, getTrustChain, getUseClientMode, getWantClientAuth, isSecure, setCheckCRL, setCheckExpiry, setCheckHostname, setConnectTimeout, setDefaultProtocol, setDnsOverride, setEnabledCiphers, setEnabledProtocols, setHostnameVerifier, setIsSecure, setKeyMaterial, setNeedClientAuth, setSoTimeout, setSSLWrapperFactory, setTrustMaterial, setUseClientMode, setWantClientAuth, useDefaultJavaCiphers, useStrongCiphers`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    private static final LDAPSocket instance

### Constructor Detail

#### LDAPSocket

    private LDAPSocket()
                throws java.security.GeneralSecurityException,
                       java.io.IOException

Throws:
  `java.security.GeneralSecurityException`
  `java.io.IOException`

### Method Detail

#### getDefault

    public static javax.net.SocketFactory getDefault()

#### getInstance

    public static LDAPSocket getInstance()